<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: SalmonellaMdfr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d5d/class_salmonella_mdfr.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">SalmonellaMdfr Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for SalmonellaMdfr:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dc/d5d/class_salmonella_mdfr.png" usemap="#SalmonellaMdfr_map" alt=""/>
  <map id="SalmonellaMdfr_map" name="SalmonellaMdfr_map">
<area href="../../d8/d0a/class_modifier_base.html" alt="ModifierBase" shape="rect" coords="0,0,100,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac39385d186a7e72a11a879bd8f627e4b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#ac39385d186a7e72a11a879bd8f627e4b">Init</a> ()</td></tr>
<tr class="separator:ac39385d186a7e72a11a879bd8f627e4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bebccadf66fa532467e69a0e392938e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#a1bebccadf66fa532467e69a0e392938e">GetDebugText</a> ()</td></tr>
<tr class="separator:a1bebccadf66fa532467e69a0e392938e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2fb46a47a5ba4de1f17926161ad8e08"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#aa2fb46a47a5ba4de1f17926161ad8e08">ActivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:aa2fb46a47a5ba4de1f17926161ad8e08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4840256e4c5971e580a03b9437f04f94"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#a4840256e4c5971e580a03b9437f04f94">OnActivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a4840256e4c5971e580a03b9437f04f94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad88c1a6f7174cba1bd548a7cb172cefc"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#ad88c1a6f7174cba1bd548a7cb172cefc">OnDeactivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ad88c1a6f7174cba1bd548a7cb172cefc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc8c227822c889872713bfda7c7a0328"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#acc8c227822c889872713bfda7c7a0328">DeactivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:acc8c227822c889872713bfda7c7a0328"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a221d2612d81bd9309578d8c2901bf97a"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#a221d2612d81bd9309578d8c2901bf97a">OnTick</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaT)</td></tr>
<tr class="separator:a221d2612d81bd9309578d8c2901bf97a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aea7f2abd35b915397dea7d77ae2bbffc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#aea7f2abd35b915397dea7d77ae2bbffc">m_Time</a></td></tr>
<tr class="separator:aea7f2abd35b915397dea7d77ae2bbffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4b73d392d4bf427ab14fed3fc7e6eb7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#aa4b73d392d4bf427ab14fed3fc7e6eb7">m_NextEvent</a></td></tr>
<tr class="separator:aa4b73d392d4bf427ab14fed3fc7e6eb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:ae7008c80856345a0691d4d1c57ffc752"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#ae7008c80856345a0691d4d1c57ffc752">AGENT_THRESHOLD_ACTIVATE</a> = 60</td></tr>
<tr class="separator:ae7008c80856345a0691d4d1c57ffc752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec167b8e51ec15ba52d5dea92208cfc2"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#aec167b8e51ec15ba52d5dea92208cfc2">AGENT_THRESHOLD_DEACTIVATE</a> = 20</td></tr>
<tr class="separator:aec167b8e51ec15ba52d5dea92208cfc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31e8585300dad06b781e24f4f0e6eba7"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#a31e8585300dad06b781e24f4f0e6eba7">CHANCE_OF_VOMIT</a> = 10</td></tr>
<tr class="separator:a31e8585300dad06b781e24f4f0e6eba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3c55bf322a4f716539964e94af0b35b"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#af3c55bf322a4f716539964e94af0b35b">CHANCE_OF_VOMIT_AGENT</a> = 20</td></tr>
<tr class="separator:af3c55bf322a4f716539964e94af0b35b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d9d09aa1e0e31c99d4cbb5a85d14c1f"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#a2d9d09aa1e0e31c99d4cbb5a85d14c1f">WATER_DRAIN_FROM_VOMIT</a> = 450</td></tr>
<tr class="separator:a2d9d09aa1e0e31c99d4cbb5a85d14c1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b8fd217ea33d8d59c05195b010d697a"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#a6b8fd217ea33d8d59c05195b010d697a">ENERGY_DRAIN_FROM_VOMIT</a> = 310</td></tr>
<tr class="separator:a6b8fd217ea33d8d59c05195b010d697a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7104c1d95cb73498446b0a897be74fee"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#a7104c1d95cb73498446b0a897be74fee">STOMACH_MIN_VOLUME</a> = 200</td></tr>
<tr class="separator:a7104c1d95cb73498446b0a897be74fee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a288c39e3b73a40acb2fded9f802fa6ee"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#a288c39e3b73a40acb2fded9f802fa6ee">EVENT_INTERVAL_MIN</a> = 12</td></tr>
<tr class="separator:a288c39e3b73a40acb2fded9f802fa6ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0c1f36fcaeee84c27c17909ce65d65a"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html#ab0c1f36fcaeee84c27c17909ce65d65a">EVENT_INTERVAL_MAX</a> = 18</td></tr>
<tr class="separator:ab0c1f36fcaeee84c27c17909ce65d65a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00001">1</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aa2fb46a47a5ba4de1f17926161ad8e08" name="aa2fb46a47a5ba4de1f17926161ad8e08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2fb46a47a5ba4de1f17926161ad8e08">&#9670;&#160;</a></span>ActivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> SalmonellaMdfr::ActivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00033">33</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="acc8c227822c889872713bfda7c7a0328" name="acc8c227822c889872713bfda7c7a0328"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc8c227822c889872713bfda7c7a0328">&#9670;&#160;</a></span>DeactivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> SalmonellaMdfr::DeactivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00056">56</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="a1bebccadf66fa532467e69a0e392938e" name="a1bebccadf66fa532467e69a0e392938e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bebccadf66fa532467e69a0e392938e">&#9670;&#160;</a></span>GetDebugText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SalmonellaMdfr::GetDebugText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00028">28</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="ac39385d186a7e72a11a879bd8f627e4b" name="ac39385d186a7e72a11a879bd8f627e4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac39385d186a7e72a11a879bd8f627e4b">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void SalmonellaMdfr::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00020">20</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="a4840256e4c5971e580a03b9437f04f94" name="a4840256e4c5971e580a03b9437f04f94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4840256e4c5971e580a03b9437f04f94">&#9670;&#160;</a></span>OnActivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void SalmonellaMdfr::OnActivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00045">45</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="ad88c1a6f7174cba1bd548a7cb172cefc" name="ad88c1a6f7174cba1bd548a7cb172cefc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad88c1a6f7174cba1bd548a7cb172cefc">&#9670;&#160;</a></span>OnDeactivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void SalmonellaMdfr::OnDeactivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00051">51</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="a221d2612d81bd9309578d8c2901bf97a" name="a221d2612d81bd9309578d8c2901bf97a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a221d2612d81bd9309578d8c2901bf97a">&#9670;&#160;</a></span>OnTick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void SalmonellaMdfr::OnTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00068">68</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae7008c80856345a0691d4d1c57ffc752" name="ae7008c80856345a0691d4d1c57ffc752"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7008c80856345a0691d4d1c57ffc752">&#9670;&#160;</a></span>AGENT_THRESHOLD_ACTIVATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SalmonellaMdfr::AGENT_THRESHOLD_ACTIVATE = 60</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00003">3</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="aec167b8e51ec15ba52d5dea92208cfc2" name="aec167b8e51ec15ba52d5dea92208cfc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec167b8e51ec15ba52d5dea92208cfc2">&#9670;&#160;</a></span>AGENT_THRESHOLD_DEACTIVATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SalmonellaMdfr::AGENT_THRESHOLD_DEACTIVATE = 20</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00004">4</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="a31e8585300dad06b781e24f4f0e6eba7" name="a31e8585300dad06b781e24f4f0e6eba7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31e8585300dad06b781e24f4f0e6eba7">&#9670;&#160;</a></span>CHANCE_OF_VOMIT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SalmonellaMdfr::CHANCE_OF_VOMIT = 10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00006">6</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="af3c55bf322a4f716539964e94af0b35b" name="af3c55bf322a4f716539964e94af0b35b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3c55bf322a4f716539964e94af0b35b">&#9670;&#160;</a></span>CHANCE_OF_VOMIT_AGENT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SalmonellaMdfr::CHANCE_OF_VOMIT_AGENT = 20</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00007">7</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="a6b8fd217ea33d8d59c05195b010d697a" name="a6b8fd217ea33d8d59c05195b010d697a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b8fd217ea33d8d59c05195b010d697a">&#9670;&#160;</a></span>ENERGY_DRAIN_FROM_VOMIT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SalmonellaMdfr::ENERGY_DRAIN_FROM_VOMIT = 310</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00009">9</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="ab0c1f36fcaeee84c27c17909ce65d65a" name="ab0c1f36fcaeee84c27c17909ce65d65a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0c1f36fcaeee84c27c17909ce65d65a">&#9670;&#160;</a></span>EVENT_INTERVAL_MAX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> SalmonellaMdfr::EVENT_INTERVAL_MAX = 18</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00013">13</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="a288c39e3b73a40acb2fded9f802fa6ee" name="a288c39e3b73a40acb2fded9f802fa6ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a288c39e3b73a40acb2fded9f802fa6ee">&#9670;&#160;</a></span>EVENT_INTERVAL_MIN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> SalmonellaMdfr::EVENT_INTERVAL_MIN = 12</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00012">12</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="aa4b73d392d4bf427ab14fed3fc7e6eb7" name="aa4b73d392d4bf427ab14fed3fc7e6eb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4b73d392d4bf427ab14fed3fc7e6eb7">&#9670;&#160;</a></span>m_NextEvent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> SalmonellaMdfr::m_NextEvent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00018">18</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="aea7f2abd35b915397dea7d77ae2bbffc" name="aea7f2abd35b915397dea7d77ae2bbffc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea7f2abd35b915397dea7d77ae2bbffc">&#9670;&#160;</a></span>m_Time</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> SalmonellaMdfr::m_Time</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00017">17</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="a7104c1d95cb73498446b0a897be74fee" name="a7104c1d95cb73498446b0a897be74fee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7104c1d95cb73498446b0a897be74fee">&#9670;&#160;</a></span>STOMACH_MIN_VOLUME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> SalmonellaMdfr::STOMACH_MIN_VOLUME = 200</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00010">10</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<a id="a2d9d09aa1e0e31c99d4cbb5a85d14c1f" name="a2d9d09aa1e0e31c99d4cbb5a85d14c1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d9d09aa1e0e31c99d4cbb5a85d14c1f">&#9670;&#160;</a></span>WATER_DRAIN_FROM_VOMIT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SalmonellaMdfr::WATER_DRAIN_FROM_VOMIT = 450</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/db6/_salmonella_8c_source.html#l00008">8</a> of file <a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerModifiers/Modifiers/diseases/<a class="el" href="../../d7/db6/_salmonella_8c_source.html">Salmonella.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d5d/class_salmonella_mdfr.html">SalmonellaMdfr</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
